<%@page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*,com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>
<jsp:useBean id="AS06_3" class="com.csc.library.system.Task" scope="page" />
<%AS06_3.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS06_3.process("HelpEntry","AS06_3");%>
<%
	String aysource=request.getParameter("__asysource");
	String assource=request.getParameter("__asssource");
	if(aysource.length()>0){
	((DbInquiry)screen.getInquiry().getChild("vmassessy")).setResultSet(aysource);
	}
	if(assource.length()>0){
	((DbInquiry)screen.getInquiry().getChild("vmassessor")).setResultSet(assource);
	}
	screen.process();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>
<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function getDocno(){
	with(document.cscform){
			if((typeof __apsidtmp.length)!="undefined"){
			        for(i=0;i<__apsidtmp.length;i++){
					            if(__apsidtmp[i].value!=""){
								docno.innerHTML=__apsidtmp[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsidtmp)!="undefined"){
									if(__apsidtmp.value!=""){
							         docno.innerHTML=__apsidtmp.value;	
								}
						}
			}
	}
}

function getTitle(){
	with(document.cscform){
			if((typeof __tdesc.length)!="undefined"){
			        for(i=0;i<__tdesc.length;i++){
					  			if(__tdesc[i].value!=""){
								mtitle.innerHTML=__tdesc[i].value;
								break;
								}
					}
			}else{
						if((typeof __tdesc)!="undefined"){
								if(__tdesc.value!=""){
							    mtitle.innerHTML=__tdesc.value;
								}
						}
			}
	}
}

function getObjective(){
	with(document.cscform){
			if((typeof __apsobjective.length)!="undefined"){
			        for(i=0;i<__apsobjective.length;i++){
								if(__apsobjective[i].value!=""){
								objective.innerHTML=__apsobjective[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsobjective)!="undefined"){
								if(__apsobjective.value!=""){
							    objective.innerHTML=__apsobjective.value;	
								}
						}
			}
	}
}

function getAsname(){
	with(document.cscform){
			if((typeof __assessorname.length)!="undefined"){
			        for(i=0;i<__assessorname.length;i++){
								if(__assessorname[i].value!=""){
								asname.innerHTML=__assessorname[i].value;
								break;
								}
					}
			}else{
						if((typeof __assessorname)!="undefined"){
								if(__assessorname.value!=""){
							    asname.innerHTML=__assessorname.value;	
								}
						}
			}
	}
}

function getAsyname(){
	with(document.cscform){
			if((typeof __assessyname.length)!="undefined"){
			        for(i=0;i<__assessyname.length;i++){
								if(__assessyname[i].value!=""){
								asyname.innerHTML=__assessyname[i].value;
								break;
								}
					}
			}else{
						if((typeof __assessyname)!="undefined"){
								if(__assessyname.value!=""){
							    asyname.innerHTML=__assessyname.value;	
								}
						}
			}
	}
}

function wrtietoSpan(){
			getObjective();
			getAsname();
			getAsyname();
			getDocno();
			getTitle()
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="wrtietoSpan();MM_preloadImages('../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif')">
<form name="cscform" method="post" >
  

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden"name="__screen"  value="AS06_3">
  <input type="hidden" name="__help" value="">
  <input type="hidden" name="__cmd"  value="">
 <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="<%=request.getParameter("__fixCon")%>">
  <input type="hidden" name="__orderBy" value="">
  <br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0">
      <tr > 
        <td  class="header">AS06_3,
          <script language="javascript">swapLang('Result');</script>
        &nbsp;</td></tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"><br>
              <table class="largest" border="1" cellspacing="1" cellpadding="1">
              <tr>
                <td><table border="0" align="center" cellpadding="3" cellspacing="1" class="largest">
              <tr> 
                <td width="16%"><div align="left"><strong>&nbsp; 
                    <script language="javascript">swapLang('Code');</script>
                    </strong></div></td>
                <td width="84%"><font class="normal"><span id="docno"></span> </font></td>
              </tr>
              <tr> 
                <td><div align="left">&nbsp; 
                    <script language="javascript">swapLang('Title');</script>
                  </div></td>
                <td><font class="normal"> <span id="mtitle"></span> </font></td>
              </tr>
              <tr> 
                <td>&nbsp; <script language="javascript">swapLang('Objective');</script></td>
                <td><font class="normal"> <span id="objective"></span> </font></td>
              </tr>
              <tr> 
                <td>&nbsp; <script language="javascript">swapLang('assessor');</script></td>
                <td><font class="normal"> <span id="asname"></span> </font></td>
              </tr>
              <tr> 
                <td>&nbsp; <script language="javascript">swapLang('assessy');</script></td>
                <td><font class="normal"> <span id="asyname"></span> </font></td>
              </tr>
            </table>
			</td>
              </tr>
            </table>
            <br>
            <table class="largest"border="0" align="center" cellpadding="1" cellspacing="1">
              <tr > 
                <td class="title1" width="69%" nowrap bgcolor="#E1E1E1"> <div align="center"> 
                    <script language="JavaScript">
swapLang('Title of Assessment');</script>
                  </div></td>
                <td class="title1" width="10%" nowrap bgcolor="#E1E1E1"> <div align="center"> 
                    <script language="JavaScript">
swapLang('Score');
</script>
                  </div></td>
                <td class="title1" width="21%" bgcolor="#E1E1E1"> <div align="center"> 
                    <script language="JavaScript">
swapLang('Reason');
</script>
                  </div></td>
              </tr>
              <%
				 String asgroup="";
				 double score=0.0;
			     while(screen.nextRec()){
				 if(!asgroup.equals(screen.getString("asgid"))){
				 asgroup=screen.getString("asgid");
			  %>
              <input type="hidden" name="__tdesc" value="<%=screen.getString("tapstran0","tdesc")%>">
              <input type="hidden" name="__apsobjective" value="<%=screen.getString("tapstran0","apsobjective")%>">
              <input type="hidden" name="__apsidtmp" value="<%=screen.getString("apsid")%>">
              <input type="hidden" name="__assessorname" value="<%=screen.getString("apsassessor")%>&nbsp;&nbsp;<%=screen.getString("vmassessor","empprefixname")%><%=screen.getString("vmassessor","emptfname")%>&nbsp;&nbsp;&nbsp;<%=screen.getString("vmassessor","emptlname")%>&nbsp;&nbsp;&nbsp;<%=screen.getString("vmassessor","empposname")%>">
              <input type="hidden" name="__assessyname" value="<%=screen.getString("apsassessy")%>&nbsp;&nbsp;<%=screen.getString("vmassessy","empprefixname")%><%=screen.getString("vmassessy","emptfname")%>&nbsp;&nbsp;&nbsp;<%=screen.getString("vmassessy","emptlname")%>&nbsp;&nbsp;&nbsp;<%=screen.getString("vmassessy","empposname")%>">
              <tr valign="baseline"> 
                <td colspan="3"  class="headerLight2"><font size="2"><%=screen.getString("asgid")%> 
                  <%=screen.getString("masgroup","tdesc")%></font></td>
              </tr>
              <%}
			       score+=Double.parseDouble(screen.getString("asrscore"));
				    %>
              <tr valign="baseline"> 
                <td nowrap class="writeback"><dd><font size="2"><%=screen.getString("asid")%>&nbsp;&nbsp;<%=screen.getString("massess","tdesc")%></font> 
                </td>
                <td nowrap class="writeback"><div align="center"><%=screen.getString("asrscore")%></div></td>
                <td class="writeback"><%=screen.getString("asrdetail")%></td>
              </tr>
              <%}%>
              <tr valign="baseline"> 
                <td colspan="3" nowrap height="2"></td>
              </tr>
              <tr valign="baseline"> 
                <td nowrap class="headerLight2"> <div align="right"><font size="2"> 
                    <script language="JavaScript">
swapLang('total');
</script>
                    &nbsp;</font></div></td>
                <td nowrap class="headerLight2"> <div align="center"> <font size="2"><%=score%></font> 
                  </div></td>
                <td width="21%" nowrap class="headerLight2">&nbsp;</td>
              </tr>
              <tr valign="baseline">
                <td nowrap >&nbsp;</td>
                <td nowrap >&nbsp;</td>
                <td nowrap ><div align="right"><a href="javascript:window.close();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image41','','../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif',1)"><img SRC="../IMAGES/BUTTON/MAIN/BACK20.gif" alt="กลับไปหน้าที่แล้ว" name="Image41" width="20" height="20" border="0" align="absmiddle" id="Image41"></a></div></td>
              </tr>
            </table>
            <br>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
    <br>
  </div>
</form>
</body>
</html>
